﻿namespace QuantReviewTest
{
    public class Compound
    {
        private readonly short _sampleId;
        private readonly short _compoundId;

        public Compound(short sampleId, short compoundId)
        {
            _sampleId = sampleId;
            _compoundId = compoundId;
        }

        public short SampleId => _sampleId;

        public short CompoundId => _compoundId;
        public double Value => _sampleId * 10000 + _compoundId;

        public override string ToString() => $"{_sampleId} {_compoundId}";
    }
}