using System;
namespace Agilent.MassSpectrometry.DataAnalysis
{
	public class MSINT_PARAMS
	{
		public double threshold;
		public double leftThreshold;
		public double rightThreshold;
		public double valleyPercent;
		public int maxPeaks;
		public int bunch;
		public int baselineResetPoints;
		public bool isThresholdPercent;
		public byte smoothPoints;
		public bool isTangentElseDrop;
		public bool isCentroid;
		public double scaleFactor;
		public MSINT_PARAMS()
		{
			this.threshold = 0.0;
			this.leftThreshold = 0.0;
			this.leftThreshold = 0.0;
			this.valleyPercent = 0.0;
			this.maxPeaks = 0;
			this.bunch = 0;
			this.baselineResetPoints = 0;
			this.isThresholdPercent = false;
			this.smoothPoints = 0;
			this.isTangentElseDrop = false;
			this.isCentroid = true;
			this.scaleFactor = 0.0;
		}
	}
}
