﻿using System;

namespace MyIntegrator
{
	public class MyMath
	{
		public MyMath()
		{
		}
		public static int Truncate(double x)
		{
			var num = Math.Max(-2147483648.0, x);
			if (num > 2147483647.0)
			{
				num = 2147483647.0;
			}
			int result;
			if (num > 0.0)
			{
				result = (int)Math.Floor(num);
			}
			else
			{
				result = (int)Math.Ceiling(num);
			}
			return result;
		}
		public static int Round(double x)
		{
			if (x >= 0.0)
			{
				return Truncate(x + 0.5);
			}
			return Truncate(x - 0.5);
		}
	}
}
