namespace MyIntegrator
{
	public class Settings
	{
		public double threshold;
		public double leftThreshold;
		public double rightThreshold;
		public double valleyPercent;
		public int maxPeaks;
		public int bunch;
		public int baselineResetPoints; //(-1=1 0=5 x=x+1)
		public bool isThresholdPercent;
		public byte smoothPoints; //(0=off 1=5 2=7 3=9)
		public bool isTangentElseDrop;
		public bool isCentroid;
		public double scaleFactor;
		public Settings()
		{
            isThresholdPercent = true;
            threshold = 5;
            maxPeaks = 100;
            bunch = 1;
            leftThreshold = 0.01;
            rightThreshold = 0;
            baselineResetPoints = 5; //(-1=1 0=5 x=x+1)
            valleyPercent = 100;
            smoothPoints = 0; //(0=off 1=5 2=7 3=9)
            isTangentElseDrop = false;
            scaleFactor = 1;
            isCentroid = true;
		}
	}
}
